use crate::website::WebSite;
use actix_web::{web::Data, HttpResponse, Responder};
use std::sync::RwLock;

pub async fn not_found(website: Data<RwLock<WebSite>>) -> impl Responder {
    let f404 = website
        .read()
        .expect("Failed to read WebSite")
        .static_files_manager
        .dir
        .join("default_views")
        .join("404.html");

    HttpResponse::NotFound().body(std::fs::read_to_string(f404).unwrap())
}
